> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yorlet.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all refunds

> List all refunds.



## OpenAPI

````yaml openapi-payments.json GET /v1/refunds
openapi: 3.1.0
info:
  title: Yorlet Payments API
  description: APIs for managing transactions, payment initiations, and external accounts.
  version: 1.0.0
servers:
  - url: https://api.yorlet.com
    description: Production
  - url: https://api.yorlet.io
    description: Sandbox
security: []
paths:
  /v1/refunds:
    get:
      tags:
        - Refunds
      summary: List all refunds
      description: List all refunds.
      operationId: refunds_list
      responses:
        '200':
          description: >-
            A dictionary with a data property that contains an array of up to
            limit refunds. Each entry in the array is a separate refund object.
            If no more refunds are available, the resulting array will be empty.
          content:
            application/json:
              schema:
                type: object
                properties:
                  count:
                    type: number
                    description: Total number of items in the list.
                    example: 1
                  has_more:
                    type: boolean
                    description: Whether more items are available.
                    example: false
                  object:
                    type: string
                    enum:
                      - list
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: Unique identifier for the object.
                        created:
                          type: number
                          description: >-
                            Time at which the object was created. Measured in
                            seconds since the Unix epoch.
                        account:
                          type: string
                          description: >-
                            The account that the object belongs to. Only
                            returned if the request is made with a valid
                            Yorlet-Context header.
                        deleted:
                          type: boolean
                          default: false
                          description: Only returned if the object has been deleted.
                        object:
                          type: string
                          enum:
                            - refund
                        amount:
                          type: integer
                          description: >-
                            Amount, in the smallest currency unit, that was
                            refunded.
                        balance_transaction:
                          anyOf:
                            - type: object
                              properties:
                                id:
                                  type: string
                                  description: Unique identifier for the object.
                                created:
                                  type: number
                                  description: >-
                                    Time at which the object was created.
                                    Measured in seconds since the Unix epoch.
                                account:
                                  type: string
                                  description: >-
                                    The account that the object belongs to. Only
                                    returned if the request is made with a valid
                                    Yorlet-Context header.
                                deleted:
                                  type: boolean
                                  default: false
                                  description: >-
                                    Only returned if the object has been
                                    deleted.
                                object:
                                  type: string
                                  enum:
                                    - balance_transaction
                                amount:
                                  type: integer
                                  description: >-
                                    Gross amount of the transaction, in the
                                    smallest currency unit (e.g. cents).
                                available_on:
                                  type:
                                    - integer
                                    - 'null'
                                  description: >-
                                    The date on which the transaction balance
                                    becomes available in the Yorlet balance.
                                currency:
                                  type: string
                                  description: >-
                                    Three-letter ISO currency code, in
                                    lowercase. Must be a supported currency.
                                description:
                                  type:
                                    - string
                                    - 'null'
                                  description: >-
                                    An arbitrary string attached to the object.
                                    Often useful for displaying to users.
                                fee:
                                  type: integer
                                  description: The fees paid for this transaction.
                                fee_details:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      amount:
                                        type: integer
                                        description: >-
                                          The amount of the fee, in the smallest
                                          currency unit.
                                      description:
                                        type: string
                                        description: A description of the fee.
                                      tax:
                                        type: integer
                                        description: The amount of tax included in the fee.
                                      tax_percent:
                                        type: number
                                        description: The tax percentage applied to the fee.
                                      type:
                                        type: string
                                        description: The type of the fee.
                                    required:
                                      - amount
                                      - description
                                      - tax
                                      - tax_percent
                                      - type
                                  description: >-
                                    A breakdown of the fees applied to this
                                    transaction.
                                net:
                                  type: integer
                                  description: >-
                                    Net amount of the transaction, in the
                                    smallest currency unit.
                                payout:
                                  type:
                                    - string
                                    - 'null'
                                  description: >-
                                    The ID of the payout the transaction is
                                    associated with.
                                source:
                                  type:
                                    - string
                                    - 'null'
                                  description: >-
                                    The Yorlet object the transaction is
                                    associated with.
                                source_object:
                                  type:
                                    - string
                                    - 'null'
                                  description: >-
                                    The type of source object the transaction is
                                    associated with.
                                type:
                                  type: string
                                  enum:
                                    - adjustment
                                    - charge
                                    - fee
                                    - payment
                                    - payout
                                    - refund
                                    - transfer
                                  description: The type of the balance transaction.
                              required:
                                - id
                                - created
                                - object
                                - amount
                                - available_on
                                - currency
                                - description
                                - fee
                                - fee_details
                                - net
                                - payout
                                - source
                                - source_object
                                - type
                            - type: string
                            - type: 'null'
                          description: >-
                            Balance transaction that describes the impact of
                            this refund on your account balance.
                        currency:
                          type: string
                          description: >-
                            Three-letter ISO currency code, in lowercase. Must
                            be a supported currency.
                        customer:
                          anyOf:
                            - type: object
                              properties:
                                id:
                                  type: string
                                  description: Unique identifier for the object.
                                created:
                                  type: number
                                  description: >-
                                    Time at which the object was created.
                                    Measured in seconds since the Unix epoch.
                                account:
                                  type: string
                                  description: >-
                                    The account that the object belongs to. Only
                                    returned if the request is made with a valid
                                    Yorlet-Context header.
                                deleted:
                                  type: boolean
                                  default: false
                                  description: >-
                                    Only returned if the object has been
                                    deleted.
                                object:
                                  type: string
                                  enum:
                                    - customer
                                address:
                                  type: object
                                  properties:
                                    line1:
                                      type:
                                        - string
                                        - 'null'
                                    line2:
                                      type:
                                        - string
                                        - 'null'
                                    city:
                                      type:
                                        - string
                                        - 'null'
                                    country:
                                      type:
                                        - string
                                        - 'null'
                                    postal_code:
                                      type:
                                        - string
                                        - 'null'
                                    state:
                                      type:
                                        - string
                                        - 'null'
                                  description: The customer's address.
                                default_payment_method:
                                  anyOf:
                                    - type: string
                                    - type: object
                                      additionalProperties: {}
                                    - type: 'null'
                                  description: >-
                                    ID of the default payment method for the
                                    customer.
                                delinquent:
                                  type: boolean
                                  description: >-
                                    Whether the customer has any unpaid or
                                    past-due invoices.
                                description:
                                  type:
                                    - string
                                    - 'null'
                                  description: >-
                                    An arbitrary description attached to the
                                    customer.
                                email:
                                  type: string
                                  format: email
                                  description: The customer's email address.
                                invoice_prefix:
                                  type: string
                                  description: >-
                                    The prefix for the customer used to generate
                                    unique invoice numbers.
                                invoicing:
                                  type: object
                                  properties:
                                    arrears_emails:
                                      type: boolean
                                      description: >-
                                        Whether the customer should receive
                                        arrears emails.
                                    email_cc:
                                      type: array
                                      items:
                                        type: string
                                        format: email
                                      description: Email addresses to CC on invoice emails.
                                    email_to:
                                      type:
                                        - string
                                        - 'null'
                                      format: email
                                      description: >-
                                        The primary email address to send
                                        invoices to. Defaults to the customer
                                        email when not set.
                                  required:
                                    - arrears_emails
                                    - email_cc
                                  description: Invoicing preferences for the customer.
                                legal:
                                  type: object
                                  properties:
                                    dob:
                                      type: object
                                      properties:
                                        day:
                                          type:
                                            - integer
                                            - 'null'
                                          minimum: 1
                                          maximum: 31
                                        month:
                                          type:
                                            - integer
                                            - 'null'
                                          minimum: 1
                                          maximum: 12
                                        year:
                                          type:
                                            - integer
                                            - 'null'
                                          minimum: 1900
                                          maximum: 9999
                                      required:
                                        - day
                                        - month
                                        - year
                                      description: The customer's date of birth.
                                    first_name:
                                      type:
                                        - string
                                        - 'null'
                                      description: The customer's legal first name.
                                    last_name:
                                      type:
                                        - string
                                        - 'null'
                                      description: The customer's legal last name.
                                  required:
                                    - dob
                                    - first_name
                                    - last_name
                                  description: Legal information about the customer.
                                metadata:
                                  type:
                                    - object
                                    - 'null'
                                  additionalProperties:
                                    type: string
                                  description: >-
                                    Set of key-value pairs that you can attach
                                    to an object. This can be useful for storing
                                    additional information about the object in a
                                    structured format.
                                name:
                                  type:
                                    - string
                                    - 'null'
                                  description: The customer's full name.
                                phone:
                                  type:
                                    - string
                                    - 'null'
                                  description: The customer's phone number.
                                radar:
                                  type: object
                                  properties:
                                    message:
                                      type:
                                        - string
                                        - 'null'
                                      description: >-
                                        A human-readable message describing the
                                        radar assessment of the customer.
                                    reason:
                                      type:
                                        - string
                                        - 'null'
                                      description: >-
                                        A machine-readable reason for the radar
                                        assessment of the customer.
                                    risk_level:
                                      type: string
                                      description: >-
                                        The risk level assigned to the customer
                                        by radar.
                                  required:
                                    - message
                                    - reason
                                    - risk_level
                                  description: Radar's risk assessment of the customer.
                              required:
                                - id
                                - created
                                - object
                                - address
                                - default_payment_method
                                - delinquent
                                - description
                                - email
                                - invoice_prefix
                                - invoicing
                                - legal
                                - name
                                - phone
                                - radar
                            - type: string
                          description: The customer the refund is for.
                        description:
                          type:
                            - string
                            - 'null'
                          description: >-
                            An arbitrary string attached to the object. Often
                            useful for displaying to users.
                        metadata:
                          type:
                            - object
                            - 'null'
                          additionalProperties:
                            type: string
                          description: >-
                            Set of key-value pairs that you can attach to an
                            object. This can be useful for storing additional
                            information about the object in a structured format.
                        reason:
                          type:
                            - string
                            - 'null'
                          description: Reason for the refund.
                        reason_description:
                          type:
                            - string
                            - 'null'
                          description: Free-text reason description for the refund.
                        reverse_transfer:
                          type: boolean
                          description: >-
                            Whether the transfer associated with the original
                            transaction should be reversed.
                        status:
                          type: string
                          description: Status of the refund.
                        transaction:
                          type: string
                          description: ID of the transaction that was refunded.
                      required:
                        - id
                        - created
                        - object
                        - amount
                        - balance_transaction
                        - currency
                        - customer
                        - description
                        - reason
                        - reason_description
                        - reverse_transfer
                        - status
                        - transaction
                required:
                  - count
                  - has_more
                  - object
                  - data
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: API Key authentication. Use "Bearer YOUR_API_KEY".

````